org.apache.ignite.internal

## Class MarshallerContextImpl

- java.lang.Object
- - org.apache.ignite.internal.MarshallerContextAdapter
  - - org.apache.ignite.internal.MarshallerContextImpl

All Implemented Interfaces:
  MarshallerContext

    public class MarshallerContextImpl
    extends MarshallerContextAdapter

Marshaller context implementation.

### Constructor Summary

Constructors
Constructor and Description
`MarshallerContextImpl()`

### Method Summary

Methods
`protected String` `className(int id)` Gets class name by type ID.
`void` `onMarshallerCachePreloaded(GridKernalContext ctx)`
`void` `onMarshallerCacheStarted(GridKernalContext ctx)`
`protected boolean` `registerClassName(int id, String clsName)` Registers class name.

### Methods inherited from class org.apache.ignite.internal.MarshallerContextAdapter

`getClass, registerClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarshallerContextImpl

    public MarshallerContextImpl()
                          throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - In case of error.

### Method Detail

#### onMarshallerCacheStarted

    public void onMarshallerCacheStarted(GridKernalContext ctx)
                                  throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### onMarshallerCachePreloaded

    public void onMarshallerCachePreloaded(GridKernalContext ctx)
                                    throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### registerClassName

    protected boolean registerClassName(int id,
                            String clsName)
                                 throws IgniteCheckedException

Registers class name.

Specified by:
  `registerClassName` in class `MarshallerContextAdapter`
Parameters:
  `id` - Type ID.
  `clsName` - Class name.
Returns:
  Whether class name was registered.
Throws:
  `IgniteCheckedException` - In case of error.

#### className

    protected String className(int id)
                        throws IgniteCheckedException

Gets class name by type ID.

Specified by:
  `className` in class `MarshallerContextAdapter`
Parameters:
  `id` - Type ID.
Returns:
  Class name.
Throws:
  `IgniteCheckedException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015